> ## Documentation Index
> Fetch the complete documentation index at: https://www.everbility.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List client reports

> List reports for a client that is visible to the current API key scope.



## OpenAPI

````yaml /developer-docs/api/openapi.json get /v1/public/clients/{client_id}/documents
openapi: 3.1.0
info:
  title: Everbility Public API
  version: 1.0.0
  description: >-
    Pull reports from Everbility, upload notes and files, poll asynchronous
    jobs, and generate reports from saved templates. Partner endpoints let
    approved platforms connect practices with OAuth 2.0, launch report-writing
    sessions, receive signed lifecycle webhooks, and retrieve completed
    documents.
servers:
  - url: https://api.everbility.com
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/public/clients/{client_id}/documents:
    get:
      tags:
        - external
      summary: List client reports
      description: List reports for a client that is visible to the current API key scope.
      operationId: list_client_documents_v1_external_clients__client_id__documents_get
      parameters:
        - name: client_id
          in: path
          required: true
          schema:
            type: integer
            title: Client Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExternalDocumentPreview'
                title: >-
                  Response List Client Documents V1 External Clients  Client Id 
                  Documents Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    ExternalDocumentPreview:
      properties:
        _id:
          type: string
          title: ' Id'
        type:
          type: string
          enum:
            - report
          const: report
          title: Type
          default: report
        client_id:
          type: integer
          title: Client Id
        title:
          type: string
          title: Title
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - _id
        - client_id
        - title
        - created_at
        - updated_at
      title: ExternalDocumentPreview
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Use a Clerk-backed Everbility user or organisation API key directly as
        the bearer token.

````